Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 158937

Summary: cups-config-daemon Isn't a PIE
Product: [Fedora] Fedora Reporter: Dave Jones <davej>
Component: hal-cups-utilsAssignee: Christopher Aillon <caillon>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: pfrields, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.5.5-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-01-12 20:34:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 150221    

Description Dave Jones 2005-05-26 23:42:49 UTC
Daemons really should be built as PIE where possible, by passing -fpie -pie
compile flags.

It seems none of the CUPS daemons are currently built this way

Comment 1 Tim Waugh 2005-05-27 08:26:08 UTC
Er.. how did you test this?  I get this from lsexec:

cupsd, PID 2156: PIE, execshield enabled


Comment 2 Dave Jones 2005-05-28 01:29:09 UTC
ah, misfiled bug.

cups-config-daemon, PID 5935: no PIE, execshield enabled

belongs to hal.


Comment 3 John (J5) Palmieri 2005-05-29 08:14:05 UTC
Ray can you look at this while I am away?

Comment 4 Rahul Sundaram 2005-08-14 02:26:42 UTC
ping

Comment 5 Ray Strode [halfline] 2006-01-11 18:30:21 UTC
caillon said he wants this one.  he loves pie apparently.  This really shouldn't
be a blocker though. moving to target.

Comment 6 Christopher Aillon 2006-01-12 07:20:26 UTC
appears fixed for me...

cups-config-daemon, PID    374: no PIE, no RELRO, execshield enabled


Comment 7 Christopher Aillon 2006-01-12 07:21:39 UTC
duh, don't read bugs this late at night.  was looking at execshield stuff before
this.  yeah, this should get fixed.

Comment 8 Christopher Aillon 2006-01-12 20:34:43 UTC
Fixed in 0.5.5-1